package com.ximai.mes.pro.service.proWorkOrder;

import com.ximai.mes.pro.domain.proWorkOrder.ProWorkOrderDtaRecord;

import java.util.List;

/**
 * dto排版记录Service接口
 *
 * @author generator
 * @date 2024-05-18
 */
public interface IProWorkOrderDtaRecordService {
    /**
     * 查询dto排版记录
     *
     * @param id dto排版记录主键
     * @return dto排版记录
     */
    ProWorkOrderDtaRecord selectProWorkOrderDtoRecordById(Long id);

    /**
     * 查询dto排版记录列表
     *
     * @param proWorkOrderDtaRecord dto排版记录
     * @return dto排版记录集合
     */
    List<ProWorkOrderDtaRecord> selectProWorkOrderDtoRecordList(ProWorkOrderDtaRecord proWorkOrderDtaRecord);

    /**
     * 新增dto排版记录
     *
     * @param proWorkOrderDtaRecord dto排版记录
     * @return 结果
     */
    int insertProWorkOrderDtoRecord(ProWorkOrderDtaRecord proWorkOrderDtaRecord);

    /**
     * 修改dto排版记录
     *
     * @param proWorkOrderDtaRecord dto排版记录
     * @return 结果
     */
    int updateProWorkOrderDtoRecord(ProWorkOrderDtaRecord proWorkOrderDtaRecord);

    /**
     * 批量删除dto排版记录
     *
     * @param ids 需要删除的dto排版记录主键集合
     * @return 结果
     */
    int deleteProWorkOrderDtoRecordByIds(Long[] ids);

    /**
     * 删除dto排版记录信息
     *
     * @param id dto排版记录主键
     * @return 结果
     */
    int deleteProWorkOrderDtoRecordById(Long id);

    int confirm(Long id);
}
